import { w as withInstall } from "../badge/index2.js";
import { defineComponent, useSlots, openBlock, createElementBlock, createElementVNode, renderSlot, createTextVNode, toDisplayString } from "vue";
const _hoisted_1 = { class: "layui-timeline-item" };
const _hoisted_2 = { class: "layui-icon layui-timeline-axis" };
const _hoisted_3 = { class: "layui-timeline-content layui-text" };
const _hoisted_4 = {
  key: 0,
  class: "layui-timeline-title"
};
const _hoisted_5 = {
  key: 1,
  class: "layui-timeline-title"
};
const __default__ = {
  name: "LayTimelineItem"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    title: null,
    simple: { type: Boolean }
  },
  setup(__props) {
    useSlots();
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("li", _hoisted_1, [
        createElementVNode("i", _hoisted_2, [
          renderSlot(_ctx.$slots, "dot", {}, () => [
            createTextVNode("\uE63F")
          ])
        ]),
        createElementVNode("div", _hoisted_3, [
          __props.simple ? (openBlock(), createElementBlock("div", _hoisted_4, [
            renderSlot(_ctx.$slots, "title", {}, () => [
              createTextVNode(toDisplayString(__props.title), 1)
            ])
          ])) : (openBlock(), createElementBlock("h3", _hoisted_5, [
            renderSlot(_ctx.$slots, "title", {}, () => [
              createTextVNode(toDisplayString(__props.title), 1)
            ])
          ])),
          renderSlot(_ctx.$slots, "default")
        ])
      ]);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
